AetherArtifactResultReport (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether
[Groovy] Class AetherArtifactResultReport

    java.lang.Object
      org.codehaus.groovy.grails.resolve.maven.aether.AetherArtifactResultReport

All Implemented Interfaces:
  DependencyReport

    @groovy.transform.CompileStatic
    class AetherArtifactResultReport

Implementation of the DependencyReport interface that adapts Aether's ArtifactResult class

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`java.util.List` | `artifactResults`
`java.lang.String` | `scope`

Constructor Summary
`AetherArtifactResultReport(java.lang.String scope, java.util.List artifactResults)`

Method Summary
`java.util.List` | `getAllArtifacts()`
`java.lang.String` | `getClasspath()`
`java.io.File[]` | `getFiles()`
`java.util.List` | `getJarFiles()`
`java.util.List` | `getPluginZips()`
`java.lang.Throwable` | `getResolveError()`
`java.util.List` | `getResolvedArtifacts()`
`boolean` | `hasError()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### artifactResults

    java.util.List artifactResults

### scope

    java.lang.String scope

Constructor Detail

### AetherArtifactResultReport

    AetherArtifactResultReport(java.lang.String scope, java.util.List artifactResults)

Method Detail

### getAllArtifacts

    java.util.List getAllArtifacts()

### getClasspath

    java.lang.String getClasspath()

### getFiles

    java.io.File[] getFiles()

### getJarFiles

    java.util.List getJarFiles()

### getPluginZips

    java.util.List getPluginZips()

### getResolveError

    java.lang.Throwable getResolveError()

### getResolvedArtifacts

    java.util.List getResolvedArtifacts()

### hasError

    boolean hasError()

Groovy Documentation